Bug 1126177 - Crash on Python frame filters with unreadable arg
Summary: Crash on Python frame filters with unreadable arg
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gdb
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Kratochvil
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f6a689dc2560dd7552840dc4444...
Depends On:
Blocks: 1281351
TreeView+ depends on / blocked
 
Reported: 2014-08-03 06:24 UTC by Ritesh Khadgaray
Modified: 2015-11-20 20:41 UTC (History)
6 users (show)

Fixed In Version: gdb-7.8-20.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-20 19:05:26 UTC


Attachments (Terms of Use)
File: backtrace (13.60 KB, text/plain)
2014-08-03 06:24 UTC, Ritesh Khadgaray
no flags Details
File: cgroup (190 bytes, text/plain)
2014-08-03 06:24 UTC, Ritesh Khadgaray
no flags Details
File: core_backtrace (7.02 KB, text/plain)
2014-08-03 06:24 UTC, Ritesh Khadgaray
no flags Details
File: dso_list (9.60 KB, text/plain)
2014-08-03 06:24 UTC, Ritesh Khadgaray
no flags Details
File: environ (2.87 KB, text/plain)
2014-08-03 06:24 UTC, Ritesh Khadgaray
no flags Details
File: exploitable (82 bytes, text/plain)
2014-08-03 06:24 UTC, Ritesh Khadgaray
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-03 06:24 UTC, Ritesh Khadgaray
no flags Details
File: maps (30.62 KB, text/plain)
2014-08-03 06:24 UTC, Ritesh Khadgaray
no flags Details
File: open_fds (2.75 KB, text/plain)
2014-08-03 06:24 UTC, Ritesh Khadgaray
no flags Details
File: proc_pid_status (1.05 KB, text/plain)
2014-08-03 06:24 UTC, Ritesh Khadgaray
no flags Details
File: var_log_messages (319 bytes, text/plain)
2014-08-03 06:24 UTC, Ritesh Khadgaray
no flags Details

Description Ritesh Khadgaray 2014-08-03 06:24:09 UTC
Description of problem:
reading an incomplete coredump

Version-Release number of selected component:
gdb-7.8-14.fc21

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        gdb --core=d /usr/bin/anjuta
crash_function: value_type
executable:     /usr/bin/gdb
kernel:         3.16.0-0.rc6.git2.1.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 value_type at ../../gdb/value.c:932
 #1 py_print_single_arg at ../../gdb/python/py-framefilter.c:445
 #2 enumerate_args at ../../gdb/python/py-framefilter.c:596
 #3 py_print_args at ../../gdb/python/py-framefilter.c:968
 #4 py_print_frame at ../../gdb/python/py-framefilter.c:1236
 #5 gdbpy_apply_frame_filter at ../../gdb/python/py-framefilter.c:1518
 #6 apply_ext_lang_frame_filter at ../../gdb/extension.c:553
 #7 backtrace_command_1 at ../../gdb/stack.c:1801
 #8 backtrace_command at ../../gdb/stack.c:1916
 #9 execute_command at ../../gdb/top.c:462

Comment 1 Ritesh Khadgaray 2014-08-03 06:24:13 UTC
Created attachment 923538 [details]
File: backtrace

Comment 2 Ritesh Khadgaray 2014-08-03 06:24:15 UTC
Created attachment 923539 [details]
File: cgroup

Comment 3 Ritesh Khadgaray 2014-08-03 06:24:16 UTC
Created attachment 923540 [details]
File: core_backtrace

Comment 4 Ritesh Khadgaray 2014-08-03 06:24:18 UTC
Created attachment 923541 [details]
File: dso_list

Comment 5 Ritesh Khadgaray 2014-08-03 06:24:19 UTC
Created attachment 923542 [details]
File: environ

Comment 6 Ritesh Khadgaray 2014-08-03 06:24:21 UTC
Created attachment 923543 [details]
File: exploitable

Comment 7 Ritesh Khadgaray 2014-08-03 06:24:22 UTC
Created attachment 923544 [details]
File: limits

Comment 8 Ritesh Khadgaray 2014-08-03 06:24:24 UTC
Created attachment 923545 [details]
File: maps

Comment 9 Ritesh Khadgaray 2014-08-03 06:24:26 UTC
Created attachment 923546 [details]
File: open_fds

Comment 10 Ritesh Khadgaray 2014-08-03 06:24:27 UTC
Created attachment 923547 [details]
File: proc_pid_status

Comment 11 Ritesh Khadgaray 2014-08-03 06:24:29 UTC
Created attachment 923548 [details]
File: var_log_messages

Comment 12 Jan Kratochvil 2014-08-19 21:57:40 UTC
[patch+7.8?] Fix crash on Python frame filters with unreadable arg
https://sourceware.org/ml/gdb-patches/2014-08/msg00364.html
Message-ID: <20140819215646.GA8129@host2.jankratochvil.net>


Note You need to log in before you can comment on or make changes to this bug.